### Method

# GLib Uri get_auth_params

since: 2.66

#### Declaration [src]

    const gchar*
    g_uri_get_auth_params (
      GUri* uri
    )

#### Description [src]

Gets `uri`‘s authentication parameters, which may contain `%`-encoding, depending on the flags with which `uri` was created. (If `uri` was not created with `G_URI_FLAGS_HAS_AUTH_PARAMS` then this will be `NULL`.)

Depending on the URI scheme, `g_uri_parse_params()` may be useful for further parsing this information.

Available since: 2.66

#### Return value

Type: `const gchar*`

`uri`‘s authentication parameters.

The data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.